﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections;

namespace TileViewExampleSL4
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			RadTileViewItem tileViewItem = (sender as Button).ParentOfType<RadTileViewItem>();

			RadTileView tileView = tileViewItem.ParentTileView;
			tileView.Items.Remove(tileViewItem);

			foreach (RadTileViewItem item in tileView.Items)
			{
				item.Style = this.Resources["RadTileViewItemStyle"] as Style;
			}
		}

		private void tileView_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			RadTileViewItem item = e.Source as RadTileViewItem;
			if (item != null)
			{
				switch (item.TileState)
				{
					case TileViewItemState.Maximized:
						item.Style = this.Resources["RadTileViewItemStyle"] as Style;
						break;
					case TileViewItemState.Minimized:
						item.Style = this.Resources["OnlyHeaderItemStyle"] as Style;
						break;
					case TileViewItemState.Restored:
						item.Style = this.Resources["RadTileViewItemStyle"] as Style;
						break;
				}
			}
		}
	}
}
